#!/usr/bin/env bash

apt-get update
apt-get install -y gcc
apt-get install -y g++
apt-get install -y build-essential 
apt-get install -y git
apt-get install -y mercurial 
apt-get install -y scons
apt-get install -y swig
apt-get install -y python-dev
apt-get install -y zlib1g-dev
apt-get install -y m4
apt-get install -y libgoogle-perftools-dev
apt-get install -y gcc-arm-linux-gnueabihf
apt-get install -y screen

cp /vagrant/setup.sh .
chown vagrant setup.sh
chmod u+rwx setup.sh

echo "export SRC_DIR=/home/vagrant/src" >> /home/vagrant/.bashrc
echo "export GEM5_HOME=/home/vagrant/src/gem5" >> /home/vagrant/.bashrc
echo "export M5_HOME=/home/vagrant/src/gem5/gem5-kk-agave" >> /home/vagrant/.bashrc
echo "export M5_PATH=/home/vagrant/src/gem5/gem5-system" >> /home/vagrant/.bashrc
