#!/usr/bin/env bash

mkdir -p $GEM5_HOME
mkdir -p ${SRC_DIR}/linux

git clone https://bitbucket.org/martinkbrown/linux-arm-gem5-kitkat.git ${SRC_DIR}/linux/linux-arm-gem5-kk-agave
git clone https://bitbucket.org/martinkbrown/gem5-kit-kat.git $M5_HOME

cd $M5_HOME/util/term
make
sudo make install
cd ~

mkdir -p $M5_PATH/binaries
mkdir -p $M5_PATH/disks

url="https://bitbucket.org/martinkbrown/gem5-kit-kat/downloads"
binaries="binaries.tgz"
kk_disk="kk.tgz"
sdcard="mysdcard.tgz"

wget -O $M5_PATH/binaries/${binaries} ${url}/${binaries}
wget -O $M5_PATH/disks/${kk_disk} https://www.dropbox.com/s/cblh0oh6n2lpo9z/${kk_disk}?dl=1
wget -O $M5_PATH/disks/${sdcard} https://www.dropbox.com/s/hmp309ugngxtdoo/${sdcard}?dl=1

cd $M5_PATH/binaries
tar xvf ${binaries}

cd $M5_PATH/disks
tar xvf ${kk_disk}
tar xvf ${sdcard}
cd ~
